<?php

namespace App\Models\Perpus;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

// Library
use DB;
use Illuminate\Database\Eloquent\SoftDeletes;

class JurusanModel extends Model
{
    // softdelete itu untuk fitur dari laravel. User hapus, data untuk user hilang tapi di tabel tidak hilang. cuma di hiden
    use HasFactory, SoftDeletes;

    // Nama tabel
    protected $table = 'perpus_jurusan';
    protected $guarded = ['id'];

    public function sekolah()
    {
        return $this->belongsTo(SekolahModel::class, 'idPSekolah', 'id');
    }
    
    public function kelas()
    {
        return $this->hasMany(KelasModel::class, 'idPJurusan', 'id');
    }
}
